<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>OldTextPieceTable (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OldTextPieceTable (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/OldTextPieceTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/OldTextPiece.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/OldTextPieceTable.html"
               target="_top">Frames</a></li>
        <li><a href="OldTextPieceTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hwpf.model.TextPieceTable">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.TextPieceTable">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model</div>
    <h2 title="Class OldTextPieceTable" class="title">Class OldTextPieceTable</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                       title="class in org.apache.poi.hwpf.model">org.apache.poi.hwpf.model.TextPieceTable</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.model.OldTextPieceTable</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                           title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public class <span class="typeNameLabel">OldTextPieceTable</span>
extends <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
           title="class in org.apache.poi.hwpf.model">TextPieceTable</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.hwpf.model.TextPieceTable">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.hwpf.model.<a
                                        href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                        title="class in org.apache.poi.hwpf.model">TextPieceTable</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.FCComparator.html"
                                        title="class in org.apache.poi.hwpf.model">TextPieceTable.FCComparator</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.model.TextPieceTable">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.model.<a
                                        href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                        title="class in org.apache.poi.hwpf.model">TextPieceTable</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#Z:Z_textPieces">_textPieces</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#Z:Z_textPiecesFCOrder">_textPiecesFCOrder</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/OldTextPieceTable.html#OldTextPieceTable--">OldTextPieceTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/OldTextPieceTable.html#OldTextPieceTable-byte:A-byte:A-int-int-int-java.nio.charset.Charset-">OldTextPieceTable</a></span>(byte[]&nbsp;documentStream,
                                    byte[]&nbsp;tableStream,
                                    int&nbsp;offset,
                                    int&nbsp;size,
                                    int&nbsp;fcMin,
                                    java.nio.charset.Charset&nbsp;charset)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/OldTextPieceTable.html#getEncodingMultiplier-org.apache.poi.hwpf.model.TextPiece-">getEncodingMultiplier</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                        title="class in org.apache.poi.hwpf.model">TextPiece</a>&nbsp;textPiece)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                        title="class in org.apache.poi.hwpf.model">TextPiece</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/OldTextPieceTable.html#newTextPiece-int-int-byte:A-org.apache.poi.hwpf.model.PieceDescriptor-">newTextPiece</a></span>(int&nbsp;nodeStartChars,
                                    int&nbsp;nodeEndChars,
                                    byte[]&nbsp;buf,
                                    <a href="../../../../../org/apache/poi/hwpf/model/PieceDescriptor.html"
                                       title="class in org.apache.poi.hwpf.model">PieceDescriptor</a>&nbsp;pd)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.model.TextPieceTable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.model.<a
                                        href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                        title="class in org.apache.poi.hwpf.model">TextPieceTable</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#add-org.apache.poi.hwpf.model.TextPiece-">add</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#adjustForInsert-int-int-">adjustForInsert</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#equals-java.lang.Object-">equals</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#getByteIndex-int-">getByteIndex</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#getCharIndex-int-">getCharIndex</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#getCharIndex-int-int-">getCharIndex</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#getCharIndexRanges-int-int-">getCharIndexRanges</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#getCpMin--">getCpMin</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#getText--">getText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#getTextPieces--">getTextPieces</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#hashCode--">hashCode</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#isIndexInTable-int-">isIndexInTable</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#lookIndexBackward-int-">lookIndexBackward</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#lookIndexForward-int-">lookIndexForward</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#writeTo-java.io.ByteArrayOutputStream-">writeTo</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="OldTextPieceTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OldTextPieceTable</h4>
                                <pre>public&nbsp;OldTextPieceTable()</pre>
                            </li>
                        </ul>
                        <a name="OldTextPieceTable-byte:A-byte:A-int-int-int-java.nio.charset.Charset-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>OldTextPieceTable</h4>
                                <pre>public&nbsp;OldTextPieceTable(byte[]&nbsp;documentStream,
                         byte[]&nbsp;tableStream,
                         int&nbsp;offset,
                         int&nbsp;size,
                         int&nbsp;fcMin,
                         java.nio.charset.Charset&nbsp;charset)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="newTextPiece-int-int-byte:A-org.apache.poi.hwpf.model.PieceDescriptor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>newTextPiece</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                                       title="class in org.apache.poi.hwpf.model">TextPiece</a>&nbsp;newTextPiece(int&nbsp;nodeStartChars,
                                 int&nbsp;nodeEndChars,
                                 byte[]&nbsp;buf,
                                 <a href="../../../../../org/apache/poi/hwpf/model/PieceDescriptor.html"
                                    title="class in org.apache.poi.hwpf.model">PieceDescriptor</a>&nbsp;pd)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#newTextPiece-int-int-byte:A-org.apache.poi.hwpf.model.PieceDescriptor-">newTextPiece</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                                title="class in org.apache.poi.hwpf.model">TextPieceTable</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEncodingMultiplier-org.apache.poi.hwpf.model.TextPiece-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getEncodingMultiplier</h4>
                                <pre>protected&nbsp;int&nbsp;getEncodingMultiplier(<a
                                        href="../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                        title="class in org.apache.poi.hwpf.model">TextPiece</a>&nbsp;textPiece)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#getEncodingMultiplier-org.apache.poi.hwpf.model.TextPiece-">getEncodingMultiplier</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                                title="class in org.apache.poi.hwpf.model">TextPieceTable</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/OldTextPieceTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/OldTextPiece.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/OldTextPieceTable.html"
               target="_top">Frames</a></li>
        <li><a href="OldTextPieceTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hwpf.model.TextPieceTable">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.TextPieceTable">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
